SoapClient->__doRequest
SoapClient->__getLastRequest
SOAP Functions
PHP Manual

# SoapClient->__getFunctions

(No version information available, might be only in CVS)

SoapClient->__getFunctions — Returns list of SOAP functions

### Description

SoapClient
array __getFunctions ( void )

Returns the list of SOAP functions.

> Note: This function works only in WSDL mode.

### Return Values

The list of SOAP functions.

### Examples

Example #1 SoapClient->__getFunctions() example

`<?php
$client = new SoapClient('some.wsdl');
var_dump($client->__getFunctions());
?>`

### See Also

- SoapClient->__construct

SoapClient->__doRequest
SoapClient->__getLastRequest
SOAP Functions
PHP Manual